 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the color printpixel
   >>>>		       widget.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 05, 1992 15:05
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_PrintPixelP_h_
#define _xvisual_PrintPixelP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/ColorP.h>
#include <xvisual/PrintPixel.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwPrintPixelWidgetClass
{
    XtPointer extension;
} XvwPrintPixelWidgetClassPart;


typedef struct _XvwPrintPixelWidgetClassRec
{
    CoreClassPart		 core_class;
    CompositeClassPart		 composite_class;
    ConstraintClassPart		 constraint_class;
    XvwManagerWidgetClassPart	 manager_class;
    XvwGraphicsWidgetClassPart	 graphics_class;
    XvwColorWidgetClassPart	 color_class;
    XvwPrintPixelWidgetClassPart printpixel_class;
} XvwPrintPixelWidgetClassRec;


typedef struct
{
    /*  resources  */
    int     width;
    int     height;
    int     xposition;
    int     yposition;
    Boolean editable;
    Boolean showcolor;
    kobject object;
    int     update_mode;

    Pixel    black;
    Pixel    white;
    int	     font_width;
    int	     font_height;

    /* internal resources */
    Boolean  rgb;

} XvwPrintPixelPart;


typedef struct _XvwPrintPixelWidgetRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    XvwManagerPart	manager;
    XvwGraphicsPart	graphics;
    XvwColorPart	color;
    XvwPrintPixelPart	printpixel;
} XvwPrintPixelWidgetRec;


typedef struct  _XvwPrintPixelWidgetClassRec  *XvwPrintPixelWidgetClass;
typedef struct  _XvwPrintPixelWidgetRec       *XvwPrintPixelWidget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwPrintPixelWidget
 */
extern  XvwPrintPixelWidgetClassRec xvwPrintPixelWidgetClassRec;


#endif /* _xvisual_PrintPixelP_h_ */
/* Don't add after this point */
